Subject: bug#45346: [elpa-archive] :ignored-files is processed to early

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 20 Dec 2020 21:41:02 +0100

Currently it is not possible to move some files out of a directory and
then ignore all the remaining files without having to specify each one
of them individually.  Ignoring the directory overrides and `:renames'
that attempt to move some files out of the directory.

A second unfortunate effect is that the directory is added to the
tarball even though it is empty after moving or removing all files it
originally contained.

It appears that `:ignored-files' is processes before `:renames' and
that that should be changed.